org.w3c.dom.html

## Interface HTMLInputElement

All Superinterfaces:
  Element, HTMLElement, Node

    public interface HTMLInputElement
    extends HTMLElement

Form control. Note. Depending upon the environmentthe page is being viewed, the value property may be read-only for thefile upload input type. For the "password" input type, the actual valuereturned may be masked to prevent unauthorized use. See the INPUT element definition in HTML 4.0.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`void` `blur()` Removes keyboard focus from this element.
`void` `click()` Simulate a mouse-click.
`void` `focus()` Gives keyboard focus to this element.
`java.lang.String` `getAccept()` A comma-separated list of content types that a server processing thisform will handle correctly.
`java.lang.String` `getAccessKey()` A single character access key to give access to the form control.
`java.lang.String` `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`java.lang.String` `getAlt()` Alternate text for user agents not rendering the normal contentof this element.
`boolean` `getChecked()` Describes whether a radio or check box is checked, when`type` has the value "Radio" or "Checkbox".
`boolean` `getDefaultChecked()` When `type` has the value "Radio" or "Checkbox", stores the initial value of the `checked` attribute.
`java.lang.String` `getDefaultValue()` Stores the initial control value (i.e., the initial value of `value`).
`boolean` `getDisabled()` The control is unavailable in this context.
`HTMLFormElement` `getForm()` Returns the `FORM` element containing this control.Returns null if this control is not within the context of a form.
`int` `getMaxLength()` Maximum number of characters for text fields, when `type`has the value "Text" or "Password".
`java.lang.String` `getName()` Form control or object name when submitted with a form.
`boolean` `getReadOnly()` This control is read-only.
`java.lang.String` `getSize()` Size information.
`java.lang.String` `getSrc()` When the `type` attribute has the value "Image", thisattribute specifies the location of the image to be used to decoratethe graphical submit button.
`int` `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` `getType()` The type of control created.
`java.lang.String` `getUseMap()` Use client-side image map.
`java.lang.String` `getValue()` The current form control value.
`void` `select()` Select the contents of the text area.
`void` `setAccept(java.lang.String accept)`
`void` `setAccessKey(java.lang.String accessKey)`
`void` `setAlign(java.lang.String align)`
`void` `setAlt(java.lang.String alt)`
`void` `setChecked(boolean checked)`
`void` `setDefaultChecked(boolean defaultChecked)`
`void` `setDefaultValue(java.lang.String defaultValue)`
`void` `setDisabled(boolean disabled)`
`void` `setMaxLength(int maxLength)`
`void` `setName(java.lang.String name)`
`void` `setReadOnly(boolean readOnly)`
`void` `setSize(java.lang.String size)`
`void` `setSrc(java.lang.String src)`
`void` `setTabIndex(int tabIndex)`
`void` `setUseMap(java.lang.String useMap)`
`void` `setValue(java.lang.String value)`

### Methods inherited from interface org.w3c.dom.html.HTMLElement

`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getDefaultValue

    java.lang.String getDefaultValue()

Stores the initial control value (i.e., the initial value of `value`).

#### setDefaultValue

    void setDefaultValue(java.lang.String defaultValue)

#### getDefaultChecked

    boolean getDefaultChecked()

When `type` has the value "Radio" or "Checkbox", stores the initial value of the `checked` attribute.

#### setDefaultChecked

    void setDefaultChecked(boolean defaultChecked)

#### getForm

    HTMLFormElement getForm()

Returns the `FORM` element containing this control.Returns null if this control is not within the context of a form.

#### getAccept

    java.lang.String getAccept()

A comma-separated list of content types that a server processing thisform will handle correctly. See the accept attribute definition in HTML 4.0.

#### setAccept

    void setAccept(java.lang.String accept)

#### getAccessKey

    java.lang.String getAccessKey()

A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.

#### setAccessKey

    void setAccessKey(java.lang.String accessKey)

#### getAlign

    java.lang.String getAlign()

Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

#### setAlign

    void setAlign(java.lang.String align)

#### getAlt

    java.lang.String getAlt()

Alternate text for user agents not rendering the normal contentof this element. See the alt attribute definition in HTML 4.0.

#### setAlt

    void setAlt(java.lang.String alt)

#### getChecked

    boolean getChecked()

Describes whether a radio or check box is checked, when`type` has the value "Radio" or "Checkbox". The value isTRUE if explicitly set. Represents the current state of the checkboxor radio button. See the checked attribute definition in HTML 4.0.

#### setChecked

    void setChecked(boolean checked)

#### getDisabled

    boolean getDisabled()

The control is unavailable in this context. See the disabled attribute definition in HTML 4.0.

#### setDisabled

    void setDisabled(boolean disabled)

#### getMaxLength

    int getMaxLength()

Maximum number of characters for text fields, when `type`has the value "Text" or "Password". See the maxlength attribute definition in HTML 4.0.

#### setMaxLength

    void setMaxLength(int maxLength)

#### getName

    java.lang.String getName()

Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0.

#### setName

    void setName(java.lang.String name)

#### getReadOnly

    boolean getReadOnly()

This control is read-only. When `type` has the value "text"or "password" only. See the readonly attribute definition in HTML 4.0.

#### setReadOnly

    void setReadOnly(boolean readOnly)

#### getSize

    java.lang.String getSize()

Size information. The precise meaning is specific to each type offield. See the size attribute definition in HTML 4.0.

#### setSize

    void setSize(java.lang.String size)

#### getSrc

    java.lang.String getSrc()

When the `type` attribute has the value "Image", thisattribute specifies the location of the image to be used to decoratethe graphical submit button. See the src attribute definition in HTML 4.0.

#### setSrc

    void setSrc(java.lang.String src)

#### getTabIndex

    int getTabIndex()

Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

#### setTabIndex

    void setTabIndex(int tabIndex)

#### getType

    java.lang.String getType()

The type of control created. See the type attribute definition in HTML 4.0.

#### getUseMap

    java.lang.String getUseMap()

Use client-side image map. See the usemap attribute definition in HTML 4.0.

#### setUseMap

    void setUseMap(java.lang.String useMap)

#### getValue

    java.lang.String getValue()

The current form control value. Used for radio buttons and check boxes. See the value attribute definition in HTML 4.0.

#### setValue

    void setValue(java.lang.String value)

#### blur

    void blur()

Removes keyboard focus from this element.

#### focus

    void focus()

Gives keyboard focus to this element.

#### select

    void select()

Select the contents of the text area. For `INPUT` elements whose `type` attribute has one of the following values: "Text", "File", or "Password".

#### click

    void click()

Simulate a mouse-click. For `INPUT` elements whose `type` attribute has one of the followingvalues: "Button", "Checkbox", "Radio", "Reset", or "Submit".